#874 Unable to load full ORACLE client ( TOra 3.0.0(4835svn) )

None
closed-fixed
Ivan Brezina
None
3
2013-10-21
2013-09-16
A Charles Horne
No

TORA version: TOra 3.0.0(4835svn)

ENV:
ubuntu 13.04 x86_64
gcc 4.7.3
QT 4.8.4
kde 4.10.97

DB Client:
Oracle 11GR2 full client

Attempting to use full oracle client (Oracle (TNS)) results in:

Mon Sep 16 10:53:58 2013
Connection provider not loaded:

Expected Behaviour: TOra finds Oracle client and user able to access Oracle data sources

Current Behaviour: TOra cannot load Oracle client. Unable to access Oracle data sources

Additional: Noted during build that CMAKE is unable to find BOOST libraries.

Logs From command line:
---- main.cpp:274 int main(int, char)----
Ignored exception:Couldn't open file /home/XXXXX/.torasql.
Object::connect: No such slot toMain::addConnection(toConnection
conn, bool) in /pool/files/tora-code/src/core/tomain.cpp:149
---- utils.cpp:792 QToolBar Utils::toAllocBar(QWidget, const QString&)----
Ignored exception: Couldn't find parent connection. Internal error.
---- utils.cpp:792 QToolBar
Utils::toAllocBar(QWidget, const QString&)----
Ignored exception: Couldn't find parent connection. Internal error.
---- utils.cpp:792 QToolBar
Utils::toAllocBar(QWidget*, const QString&)----
Ignored exception: Couldn't find parent connection. Internal error.
---- tomain.cpp:1036 void toMain::enableConnectionActions(bool)----
Ignored exception.Can't find active connection
Log writter thread finished.

Logs from logging window:
---- main.cpp:182 int main(int, char**)----
Failed loading plugin parsing

---- main.cpp:194 int main(int, char**)----
Looking for client: Oracle (Instant Client)

searching: /opt/oracle/product/11.2.0/client_1

searching: /usr/lib

searching: /pool/files/tora-code/build

---- main.cpp:194 int main(int, char**)----
Looking for client: Oracle (TNS)

---- main.cpp:194 int main(int, char**)----
Looking for client: QSQL

QT supported driver:'QSQLITE'

QT supported driver:'QMYSQL3'

QT supported driver:'QMYSQL'

Tora supports:'QMYSQL'

---- main.cpp:194 int main(int, char**)----
Looking for client: Teradata

QT QMYSQL driver "loaded"

Related

Bugs: #874

Discussion

  • Ivan Brezina
    Ivan Brezina
    2013-10-21

    When compiling add -DCMAKE_BUILD_TYPE=Debug parameter to CMAKE.
    Then compile these componens: make tora trotl poracle
    When Tora starts click on: View -> Logging
    Then pls provide the output from the logging docklet.
    Also try to compare values of env. variables: ORACLE_HOME, LD_LIBRARY_PATH, LD_LIBRARY_PATH
    which output from 'ldd libtrotl.so', 'ldd libporacle.so'.

    Also note that you must execute make install before executing tora. .so libraries are searched in /usr/local - not in CWD.

     
  • Ivan Brezina
    Ivan Brezina
    2013-10-21

    • status: open --> pending-postponed
    • Group: -->
     
  • Still getting the same error. Compiled with Debug flag, no additional entries in the logging docklet (see below).
    I've included the environment dumps and ldd outputs as per your request.

    make install

    ...

    Install the project...
    -- Install configuration: "Debug"
    -- Up-to-date: /usr/local/lib64/libtrotl.so
    -- Up-to-date: /usr/local/bin/tora3
    -- Up-to-date: /usr/local/share/tora-3.0.0alpha/i18n/tora_toad.qm
    -- Up-to-date: /usr/local/lib64/tora-3.0.0alpha/libporacle.so

    command line to execute:

    $ /usr/local/bin/tora3

    ldd

    $ ldd /usr/local/lib64/libtrotl.so
    linux-vdso.so.1 => (0x00007fff7d5e8000)
    libclntsh.so.11.1 => /opt/oracle/product/11.2.0/client_1/lib/libclntsh.so.11.1 (0x00007fd97ba73000)
    libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007fd97b73b000)
    libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007fd97b525000)
    libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007fd97b15d000)
    libnnz11.so => /opt/oracle/product/11.2.0/client_1/lib/libnnz11.so (0x00007fd97ad94000)
    libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007fd97ab90000)
    libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007fd97a88b000)
    libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007fd97a66d000)
    libnsl.so.1 => /lib/x86_64-linux-gnu/libnsl.so.1 (0x00007fd97a453000)
    libaio.so.1 => /lib/x86_64-linux-gnu/libaio.so.1 (0x00007fd97a251000)
    /lib64/ld-linux-x86-64.so.2 (0x00007fd97e444000)

    $ ldd /usr/local/lib64/tora-3.0.0alpha/libporacle.so
    linux-vdso.so.1 => (0x00007fff2b7ca000)
    libclntsh.so.11.1 => /opt/oracle/product/11.2.0/client_1/lib/libclntsh.so.11.1 (0x00007f86fa466000)
    libQtGui.so.4 => /usr/lib/x86_64-linux-gnu/libQtGui.so.4 (0x00007f86f9784000)
    libQtCore.so.4 => /usr/lib/x86_64-linux-gnu/libQtCore.so.4 (0x00007f86f92ad000)
    libtrotl.so (0x00007f86f8f31000)
    libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f86f8c2d000)
    libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f86f8a17000)
    libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f86f864f000)
    libnnz11.so => /opt/oracle/product/11.2.0/client_1/lib/libnnz11.so (0x00007f86f8286000)
    libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f86f8082000)
    libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f86f7d7d000)
    libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f86f7b5f000)
    libnsl.so.1 => /lib/x86_64-linux-gnu/libnsl.so.1 (0x00007f86f7945000)
    libaio.so.1 => /lib/x86_64-linux-gnu/libaio.so.1 (0x00007f86f7743000)
    libfontconfig.so.1 => /usr/lib/x86_64-linux-gnu/libfontconfig.so.1 (0x00007f86f7506000)
    libaudio.so.2 => /usr/lib/x86_64-linux-gnu/libaudio.so.2 (0x00007f86f72ee000)
    libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007f86f6ff2000)
    libpng12.so.0 => /lib/x86_64-linux-gnu/libpng12.so.0 (0x00007f86f6dcb000)
    libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f86f6bb4000)
    libfreetype.so.6 => /usr/lib/x86_64-linux-gnu/libfreetype.so.6 (0x00007f86f6917000)
    libgobject-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0 (0x00007f86f66c7000)
    libSM.so.6 => /usr/lib/x86_64-linux-gnu/libSM.so.6 (0x00007f86f64bf000)
    libICE.so.6 => /usr/lib/x86_64-linux-gnu/libICE.so.6 (0x00007f86f62a3000)
    libXi.so.6 => /usr/lib/x86_64-linux-gnu/libXi.so.6 (0x00007f86f6092000)
    libXrender.so.1 => /usr/lib/x86_64-linux-gnu/libXrender.so.1 (0x00007f86f5e88000)
    libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007f86f5c76000)
    libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007f86f593b000)
    librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f86f5733000)
    /lib64/ld-linux-x86-64.so.2 (0x00007f86fcd43000)
    libexpat.so.1 => /opt/oracle/product/11.2.0/client_1/lib/libexpat.so.1 (0x00007f86f5601000)
    libXt.so.6 => /usr/lib/x86_64-linux-gnu/libXt.so.6 (0x00007f86f539b000)
    libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007f86f5197000)
    libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007f86f4f57000)
    libffi.so.6 => /usr/lib/x86_64-linux-gnu/libffi.so.6 (0x00007f86f4d4f000)
    libuuid.so.1 => /lib/x86_64-linux-gnu/libuuid.so.1 (0x00007f86f4b4a000)
    libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007f86f492b000)
    libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007f86f4725000)

    $ ldd /usr/local/bin/tora3
    linux-vdso.so.1 => (0x00007fffd51fe000)
    libQtGui.so.4 => /usr/lib/x86_64-linux-gnu/libQtGui.so.4 (0x00007ffabdb1d000)
    libQtXml.so.4 => /usr/lib/x86_64-linux-gnu/libQtXml.so.4 (0x00007ffabd8da000)
    libQtSql.so.4 => /usr/lib/x86_64-linux-gnu/libQtSql.so.4 (0x00007ffabd69b000)
    libQtNetwork.so.4 => /usr/lib/x86_64-linux-gnu/libQtNetwork.so.4 (0x00007ffabd35c000)
    libQtCore.so.4 => /usr/lib/x86_64-linux-gnu/libQtCore.so.4 (0x00007ffabce84000)
    libqscintilla2.so.9 => /usr/lib/libqscintilla2.so.9 (0x00007ffabc9c8000)
    libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007ffabc7c4000)
    libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007ffabc4c0000)
    libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007ffabc1bb000)
    libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007ffabbfa5000)
    libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007ffabbbdc000)
    libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007ffabb9bf000)
    libfontconfig.so.1 => /usr/lib/x86_64-linux-gnu/libfontconfig.so.1 (0x00007ffabb783000)
    libaudio.so.2 => /usr/lib/x86_64-linux-gnu/libaudio.so.2 (0x00007ffabb56a000)
    libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007ffabb26e000)
    libpng12.so.0 => /lib/x86_64-linux-gnu/libpng12.so.0 (0x00007ffabb048000)
    libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007ffabae30000)
    libfreetype.so.6 => /usr/lib/x86_64-linux-gnu/libfreetype.so.6 (0x00007ffabab93000)
    libgobject-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0 (0x00007ffaba944000)
    libSM.so.6 => /usr/lib/x86_64-linux-gnu/libSM.so.6 (0x00007ffaba73b000)
    libICE.so.6 => /usr/lib/x86_64-linux-gnu/libICE.so.6 (0x00007ffaba51f000)
    libXi.so.6 => /usr/lib/x86_64-linux-gnu/libXi.so.6 (0x00007ffaba30f000)
    libXrender.so.1 => /usr/lib/x86_64-linux-gnu/libXrender.so.1 (0x00007ffaba104000)
    libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007ffab9ef2000)
    libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007ffab9bb8000)
    librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007ffab99af000)
    /lib64/ld-linux-x86-64.so.2 (0x00007ffabe800000)
    libexpat.so.1 => /opt/oracle/product/11.2.0/client_1/lib/libexpat.so.1 (0x00007ffab987e000)
    libXt.so.6 => /usr/lib/x86_64-linux-gnu/libXt.so.6 (0x00007ffab9617000)
    libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007ffab9413000)
    libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007ffab91d4000)
    libffi.so.6 => /usr/lib/x86_64-linux-gnu/libffi.so.6 (0x00007ffab8fcb000)
    libuuid.so.1 => /lib/x86_64-linux-gnu/libuuid.so.1 (0x00007ffab8dc6000)
    libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007ffab8ba8000)
    libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007ffab89a1000)

    logging docklet

    $ /usr/local/bin/tora3

    ---- main.cpp:185 int main(int, char**)----
    Failed loading plugin parsing

    ---- main.cpp:197 int main(int, char**)----
    Looking for client: Oracle (Instant Client)

    searching: /opt/oracle/product/11.2.0/client_1

    searching: /usr/local/lib64

    searching: /usr/lib

    ---- main.cpp:197 int main(int, char**)----
    Looking for client: Oracle (TNS)

    ---- main.cpp:197 int main(int, char**)----
    Looking for client: QSQL

    QT supported driver:'QSQLITE'

    QT supported driver:'QMYSQL3'

    QT supported driver:'QMYSQL'

    Tora supports:'QMYSQL'

    ---- main.cpp:197 int main(int, char**)----
    Looking for client: Teradata

    QT QMYSQL driver "loaded"

    env

    export ORACLE_HOME=/opt/oracle/product/11.2.0/client_1
    export PATH=$ORACLE_HOME/bin:$PATH
    export LD_LIBRARY_PATH=$ORACLE_HOME/lib:$LD_LIBRARY_PATH

    $ echo $LD_LIBRARY_PATH
    /opt/oracle/product/11.2.0/client_1/lib:/usr/local/lib:/usr/local/lib64
    $ echo $PATH
    /opt/oracle/product/11.2.0/client_1/bin:/opt/oracle/product/11.2.0/client_1/bin:/home/amonh/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/usr/bin/mh
    $ echo $ORACLE_HOME
    /opt/oracle/product/11.2.0/client_1

    tnsping to test env,

    $ tnsping warehouse
    TNS Ping Utility for Linux: Version 11.2.0.1.0 - Production on 21-OCT-2013 11:53:05

    Copyright (c) 1997, 2009, Oracle. All rights reserved.

    Used parameter files:
    /opt/oracle/product/11.2.0/client_1/network/admin/sqlnet.ora

    cd /Used TNSNAMES adapter to resolve the alias
    Attempting to contact (DESCRIPTION = (ADDRESS_LIST = (ADDRESS = (PROTOCOL = TCP)(HOST = warehouse.xxx.xxx)(PORT = 1521))) (CONNECT_DATA = (SID = DWRHS)))

     
  • Still getting the same error. Compiled with Debug flag, no additional
    entries in the logging docklet (see below).
    I've included the environment dumps and ldd outputs as per your request.

    make install

    ...

    Install the project...
    -- Install configuration: "Debug"
    -- Up-to-date: /usr/local/lib64/libtrotl.so
    -- Up-to-date: /usr/local/bin/tora3
    -- Up-to-date: /usr/local/share/tora-3.0.0alpha/i18n/tora_toad.qm
    -- Up-to-date: /usr/local/lib64/tora-3.0.0alpha/libporacle.so

    command line to execute:

    $ /usr/local/bin/tora3

    ldd

    $ ldd /usr/local/lib64/libtrotl.so
    linux-vdso.so.1 => (0x00007fff7d5e8000)
    libclntsh.so.11.1 =>
    /opt/oracle/product/11.2.0/client_1/lib/libclntsh.so.11.1
    (0x00007fd97ba73000)
    libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6
    (0x00007fd97b73b000)
    libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007fd97b525000)
    libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007fd97b15d000)
    libnnz11.so => /opt/oracle/product/11.2.0/client_1/lib/libnnz11.so
    (0x00007fd97ad94000)
    libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007fd97ab90000)
    libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007fd97a88b000)
    libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0
    (0x00007fd97a66d000)
    libnsl.so.1 => /lib/x86_64-linux-gnu/libnsl.so.1 (0x00007fd97a453000)
    libaio.so.1 => /lib/x86_64-linux-gnu/libaio.so.1 (0x00007fd97a251000)
    /lib64/ld-linux-x86-64.so.2 (0x00007fd97e444000)

    $ ldd /usr/local/lib64/tora-3.0.0alpha/libporacle.so
    linux-vdso.so.1 => (0x00007fff2b7ca000)
    libclntsh.so.11.1 =>
    /opt/oracle/product/11.2.0/client_1/lib/libclntsh.so.11.1
    (0x00007f86fa466000)
    libQtGui.so.4 => /usr/lib/x86_64-linux-gnu/libQtGui.so.4
    (0x00007f86f9784000)
    libQtCore.so.4 => /usr/lib/x86_64-linux-gnu/libQtCore.so.4
    (0x00007f86f92ad000)
    libtrotl.so (0x00007f86f8f31000)
    libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6
    (0x00007f86f8c2d000)
    libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f86f8a17000)
    libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f86f864f000)
    libnnz11.so => /opt/oracle/product/11.2.0/client_1/lib/libnnz11.so
    (0x00007f86f8286000)
    libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f86f8082000)
    libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f86f7d7d000)
    libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0
    (0x00007f86f7b5f000)
    libnsl.so.1 => /lib/x86_64-linux-gnu/libnsl.so.1 (0x00007f86f7945000)
    libaio.so.1 => /lib/x86_64-linux-gnu/libaio.so.1 (0x00007f86f7743000)
    libfontconfig.so.1 => /usr/lib/x86_64-linux-gnu/libfontconfig.so.1
    (0x00007f86f7506000)
    libaudio.so.2 => /usr/lib/x86_64-linux-gnu/libaudio.so.2
    (0x00007f86f72ee000)
    libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0
    (0x00007f86f6ff2000)
    libpng12.so.0 => /lib/x86_64-linux-gnu/libpng12.so.0 (0x00007f86f6dcb000)
    libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f86f6bb4000)
    libfreetype.so.6 => /usr/lib/x86_64-linux-gnu/libfreetype.so.6
    (0x00007f86f6917000)
    libgobject-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
    (0x00007f86f66c7000)
    libSM.so.6 => /usr/lib/x86_64-linux-gnu/libSM.so.6 (0x00007f86f64bf000)
    libICE.so.6 => /usr/lib/x86_64-linux-gnu/libICE.so.6 (0x00007f86f62a3000)
    libXi.so.6 => /usr/lib/x86_64-linux-gnu/libXi.so.6 (0x00007f86f6092000)
    libXrender.so.1 => /usr/lib/x86_64-linux-gnu/libXrender.so.1
    (0x00007f86f5e88000)
    libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007f86f5c76000)
    libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007f86f593b000)
    librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f86f5733000)
    /lib64/ld-linux-x86-64.so.2 (0x00007f86fcd43000)
    libexpat.so.1 => /opt/oracle/product/11.2.0/client_1/lib/libexpat.so.1
    (0x00007f86f5601000)
    libXt.so.6 => /usr/lib/x86_64-linux-gnu/libXt.so.6 (0x00007f86f539b000)
    libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007f86f5197000)
    libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007f86f4f57000)
    libffi.so.6 => /usr/lib/x86_64-linux-gnu/libffi.so.6 (0x00007f86f4d4f000)
    libuuid.so.1 => /lib/x86_64-linux-gnu/libuuid.so.1 (0x00007f86f4b4a000)
    libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007f86f492b000)
    libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6
    (0x00007f86f4725000)

    $ ldd /usr/local/bin/tora3
    linux-vdso.so.1 => (0x00007fffd51fe000)
    libQtGui.so.4 => /usr/lib/x86_64-linux-gnu/libQtGui.so.4
    (0x00007ffabdb1d000)
    libQtXml.so.4 => /usr/lib/x86_64-linux-gnu/libQtXml.so.4
    (0x00007ffabd8da000)
    libQtSql.so.4 => /usr/lib/x86_64-linux-gnu/libQtSql.so.4
    (0x00007ffabd69b000)
    libQtNetwork.so.4 => /usr/lib/x86_64-linux-gnu/libQtNetwork.so.4
    (0x00007ffabd35c000)
    libQtCore.so.4 => /usr/lib/x86_64-linux-gnu/libQtCore.so.4
    (0x00007ffabce84000)
    libqscintilla2.so.9 => /usr/lib/libqscintilla2.so.9 (0x00007ffabc9c8000)
    libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007ffabc7c4000)
    libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6
    (0x00007ffabc4c0000)
    libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007ffabc1bb000)
    libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007ffabbfa5000)
    libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007ffabbbdc000)
    libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0
    (0x00007ffabb9bf000)
    libfontconfig.so.1 => /usr/lib/x86_64-linux-gnu/libfontconfig.so.1
    (0x00007ffabb783000)
    libaudio.so.2 => /usr/lib/x86_64-linux-gnu/libaudio.so.2
    (0x00007ffabb56a000)
    libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0
    (0x00007ffabb26e000)
    libpng12.so.0 => /lib/x86_64-linux-gnu/libpng12.so.0 (0x00007ffabb048000)
    libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007ffabae30000)
    libfreetype.so.6 => /usr/lib/x86_64-linux-gnu/libfreetype.so.6
    (0x00007ffabab93000)
    libgobject-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
    (0x00007ffaba944000)
    libSM.so.6 => /usr/lib/x86_64-linux-gnu/libSM.so.6 (0x00007ffaba73b000)
    libICE.so.6 => /usr/lib/x86_64-linux-gnu/libICE.so.6 (0x00007ffaba51f000)
    libXi.so.6 => /usr/lib/x86_64-linux-gnu/libXi.so.6 (0x00007ffaba30f000)
    libXrender.so.1 => /usr/lib/x86_64-linux-gnu/libXrender.so.1
    (0x00007ffaba104000)
    libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007ffab9ef2000)
    libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007ffab9bb8000)
    librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007ffab99af000)
    /lib64/ld-linux-x86-64.so.2 (0x00007ffabe800000)
    libexpat.so.1 => /opt/oracle/product/11.2.0/client_1/lib/libexpat.so.1
    (0x00007ffab987e000)
    libXt.so.6 => /usr/lib/x86_64-linux-gnu/libXt.so.6 (0x00007ffab9617000)
    libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007ffab9413000)
    libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007ffab91d4000)
    libffi.so.6 => /usr/lib/x86_64-linux-gnu/libffi.so.6 (0x00007ffab8fcb000)
    libuuid.so.1 => /lib/x86_64-linux-gnu/libuuid.so.1 (0x00007ffab8dc6000)
    libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007ffab8ba8000)
    libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6
    (0x00007ffab89a1000)

    logging docklet

    $ /usr/local/bin/tora3

    ---- main.cpp:185 int main(int, char**)----

    Failed loading plugin parsing

    ---- main.cpp:197 int main(int, char**)----

    Looking for client: Oracle (Instant Client)

    searching: /opt/oracle/product/11.2.0/client_1

    searching: /usr/local/lib64

    searching: /usr/lib

    ---- main.cpp:197 int main(int, char**)----

    Looking for client: Oracle (TNS)

    ---- main.cpp:197 int main(int, char**)----

    Looking for client: QSQL

    QT supported driver:'QSQLITE'

    QT supported driver:'QMYSQL3'

    QT supported driver:'QMYSQL'

    Tora supports:'QMYSQL'

    ---- main.cpp:197 int main(int, char**)----

    Looking for client: Teradata

    QT QMYSQL driver "loaded"

    env

    export ORACLE_HOME=/opt/oracle/product/11.2.0/client_1
    export PATH=$ORACLE_HOME/bin:$PATH
    export LD_LIBRARY_PATH=$ORACLE_HOME/lib:$LD_LIBRARY_PATH

    $ echo $LD_LIBRARY_PATH
    /opt/oracle/product/11.2.0/client_1/lib:/usr/local/lib:/usr/local/lib64
    $ echo $PATH
    /opt/oracle/product/11.2.0/client_1/bin:/opt/oracle/product/11.2.0/client_1/bin:/home/amonh/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/usr/bin/mh
    $ echo $ORACLE_HOME
    /opt/oracle/product/11.2.0/client_1

    tnsping to test env,

    $ tnsping warehouse
    TNS Ping Utility for Linux: Version 11.2.0.1.0 - Production on 21-OCT-2013
    11:53:05

    Copyright (c) 1997, 2009, Oracle. All rights reserved.

    Used parameter files:
    /opt/oracle/product/11.2.0/client_1/network/admin/sqlnet.ora

    cd /Used TNSNAMES adapter to resolve the alias
    Attempting to contact (DESCRIPTION = (ADDRESS_LIST = (ADDRESS = (PROTOCOL =
    TCP)(HOST = warehouse.xxx.xxx)(PORT = 1521))) (CONNECT_DATA = (SID =
    DWRHS)))

    On Mon, Oct 21, 2013 at 10:42 AM, Ivan Brezina ibre5041@users.sf.netwrote:

    When compiling add -DCMAKE_BUILD_TYPE=Debug parameter to CMAKE.
    Then compile these componens: make tora trotl poracle
    When Tora starts click on: View -> Logging
    Then pls provide the output from the logging docklet.
    Also try to compare values of env. variables: ORACLE_HOME,
    LD_LIBRARY_PATH, LD_LIBRARY_PATH
    which output from 'ldd libtrotl.so', 'ldd libporacle.so'.

    Also note that you must execute make install before executing tora. .so
    libraries are searched in /usr/local - not in CWD.


    Status: open
    Created: Mon Sep 16, 2013 03:04 PM UTC by A Charles Horne
    Last Updated: Mon Sep 16, 2013 03:04 PM UTC
    Owner: nobody

    TORA version: TOra 3.0.0(4835svn)

    ENV:
    ubuntu 13.04 x86_64
    gcc 4.7.3
    QT 4.8.4
    kde 4.10.97

    DB Client:
    Oracle 11GR2 full client

    Attempting to use full oracle client (Oracle (TNS)) results in:

    Mon Sep 16 10:53:58 2013
    Connection provider not loaded:

    Expected Behaviour: TOra finds Oracle client and user able to access
    Oracle data sources

    Current Behaviour: TOra cannot load Oracle client. Unable to access Oracle
    data sources

    Additional: Noted during build that CMAKE is unable to find BOOST
    libraries.

    Logs From command line:
    ---- main.cpp:274 int main(int, char)----
    Ignored exception:Couldn't open file /home/XXXXX/.torasql.
    Object::connect: No such slot toMain::addConnection(toConnection
    conn,
    bool) in /pool/files/tora-code/src/core/tomain.cpp:149
    ---- utils.cpp:792 QToolBar Utils::toAllocBar(QWidget, const
    QString&)----
    Ignored exception: Couldn't find parent connection. Internal error.
    ---- utils.cpp:792 QToolBar Utils::toAllocBar(QWidget, const
    QString&)----
    Ignored exception: Couldn't find parent connection. Internal error.
    ---- utils.cpp:792 QToolBar
    Utils::toAllocBar(QWidget*, const
    QString&)----
    Ignored exception: Couldn't find parent connection. Internal error.
    ---- tomain.cpp:1036 void toMain::enableConnectionActions(bool)----
    Ignored exception.Can't find active connection
    Log writter thread finished.

    Logs from logging window:
    ---- main.cpp:182 int main(int, char**)----
    Failed loading plugin parsing

    ---- main.cpp:194 int main(int, char**)----
    Looking for client: Oracle (Instant Client)

    searching: /opt/oracle/product/11.2.0/client_1

    searching: /usr/lib

    searching: /pool/files/tora-code/build

    ---- main.cpp:194 int main(int, char**)----
    Looking for client: Oracle (TNS)

    ---- main.cpp:194 int main(int, char**)----
    Looking for client: QSQL

    QT supported driver:'QSQLITE'

    QT supported driver:'QMYSQL3'

    QT supported driver:'QMYSQL'

    Tora supports:'QMYSQL'

    ---- main.cpp:194 int main(int, char**)----
    Looking for client: Teradata

    QT QMYSQL driver "loaded"

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/tora/bugs/874/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #874

  • Ivan Brezina
    Ivan Brezina
    2013-10-21

    It looks detection of thick Oracle client is broken now. I'll try to fix it as soon a I get to Linux machine. Try to install instantclient libs into /opt. This should work.

     
  • Ivan Brezina
    Ivan Brezina
    2013-10-21

    ok. should be fixed now in the trunk

     
  • Ivan Brezina
    Ivan Brezina
    2013-10-21

    • status: pending-postponed --> closed-fixed
    • assigned_to: Ivan Brezina